Bug 447369 - Deadlock between management-broker and topic exchange
Deadlock between management-broker and topic exchange
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
urgent Severity high
: ---
: ---
Assigned To: Ted Ross
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-19 13:50 EDT by Ted Ross
Modified: 2009-05-07 16:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 11:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Ross 2008-05-19 13:50:47 EDT
There is a possibility that a deadlock can occur between the management-broker
lock and the topic exchange lock if a binding request for a topic exchange
arrives coincident with the periodic publishing of management updates.

The probability of such an occurrence is very small but the consequence is
severe in that the broker hangs and can only be stopped with a "kill -9".
Comment 1 Mike Bonnet 2008-06-19 23:52:24 EDT
qpidc-0.2.667603-1.el5, qpidc-perftest-0.2.667603-1.el5, qpidd-0.2.667603-1.el5, and rhm-0.2.2153-1.el5 have been pushed to the staging repo for testing

Note You need to log in before you can comment on or make changes to this bug.